Name: H5Tcommitted
Signature:
  htri_t `H5Tcommitted`(hid_t `type`)
Purpose:
  Determines whether a datatype is a named type or a transient type.
Description:
  `H5Tcommitted` queries a type to determine whether the type specified by the `type` identifier is a named type or a transient type. If this function returns a positive value, then the type is named (that is, it has been committed, perhaps by some other application). Datasets which return committed datatypes with `H5Dget_type()` are able to share the datatype with other datasets in the same file.
Parameters:

hid_t `type` | IN: Datatype identifier.

Returns:
  When successful, returns a positive value, for `TRUE`, if the datatype has been committed, or `0` (zero), for `FALSE`, if the datatype has not been committed. Otherwise returns a negative value.
Fortran90 Interface: h5tcommitted_f

      SUBROUTINE h5tcommitted_f(type_id, hdferr)
        IMPLICIT NONE
        INTEGER(HID_T), INTENT(IN) :: type_id ! Datatype identifier
        INTEGER, INTENT(OUT) :: hdferr        ! Error code
      END SUBROUTINE h5tcommitted_f